> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a document requirement

> Retrieve a document requirement record



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/regulatory.yml get /requirements/{id}
openapi: 3.1.0
info:
  title: Telnyx Regulatory Requirements API
  version: 2.0.0
  description: API for Regulatory requirements.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /requirements/{id}:
    get:
      tags:
        - Requirements
      summary: Retrieve a document requirement
      description: Retrieve a document requirement record
      operationId: RetrieveDocumentRequirements
      parameters:
        - $ref: '#/components/parameters/DocReqsRequirementId'
      responses:
        '200':
          $ref: '#/components/responses/DocReqsRequirementResponse'
        '422':
          description: >-
            Unprocessable entity. Check the 'detail' field in response for
            details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/documents_Errors'
        default:
          $ref: '#/components/responses/documents_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const requirement = await
            client.requirements.retrieve('a9dad8d5-fdbd-49d7-aa23-39bb08a5ebaa');


            console.log(requirement.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            requirement = client.requirements.retrieve(
                "a9dad8d5-fdbd-49d7-aa23-39bb08a5ebaa",
            )
            print(requirement.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\trequirement, err := client.Requirements.Get(context.TODO(), \"a9dad8d5-fdbd-49d7-aa23-39bb08a5ebaa\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", requirement.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import com.telnyx.sdk.models.requirements.RequirementRetrieveParams;

            import
            com.telnyx.sdk.models.requirements.RequirementRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    RequirementRetrieveResponse requirement = client.requirements().retrieve("a9dad8d5-fdbd-49d7-aa23-39bb08a5ebaa");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            requirement =
            telnyx.requirements.retrieve("a9dad8d5-fdbd-49d7-aa23-39bb08a5ebaa")


            puts(requirement)
        - lang: CLI
          source: |-
            telnyx requirements retrieve \
              --api-key 'My API Key' \
              --id a9dad8d5-fdbd-49d7-aa23-39bb08a5ebaa
components:
  parameters:
    DocReqsRequirementId:
      name: id
      in: path
      description: Uniquely identifies the requirement_type record
      example: a9dad8d5-fdbd-49d7-aa23-39bb08a5ebaa
      required: true
      schema:
        type: string
        format: uuid
  responses:
    DocReqsRequirementResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/DocReqsRequirement'
    documents_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/documents_Errors'
  schemas:
    documents_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/documents_Error'
      type: object
    DocReqsRequirement:
      type: object
      properties:
        record_type:
          description: Identifies the type of the resource.
          type: string
          readOnly: true
          example: requirement
        country_code:
          description: >-
            The 2-character (ISO 3166-1 alpha-2) country code where this
            requirement applies
          type: string
          readOnly: false
          example: FR
        locality:
          description: The locality where this requirement applies
          type: string
          readOnly: false
          example: Nice
        phone_number_type:
          description: >-
            Indicates the phone_number_type this requirement applies to. Leave
            blank if this requirement applies to all number_types.
          type: string
          enum:
            - local
            - national
            - toll_free
          example: local
          readOnly: false
        action:
          description: >-
            Indicates whether this requirement applies to branded_calling,
            ordering, porting, or both ordering and porting
          type: string
          enum:
            - both
            - branded_calling
            - ordering
            - porting
          example: ordering
          readOnly: false
        requirements_types:
          description: Lists the requirement types necessary to fulfill this requirement
          type: array
          items:
            $ref: '#/components/schemas/DocReqsRequirementType'
          readOnly: true
        id:
          description: Identifies the associated document
          type: string
          format: uuid
          readOnly: true
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        created_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            created.
          readOnly: true
          example: '2021-04-09T22:25:27.521Z'
        updated_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was last
            updated.
          readOnly: true
          example: '2021-04-12T20:20:20.020Z'
    documents_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
    DocReqsRequirementType:
      type: object
      properties:
        acceptance_criteria:
          description: Specifies objective criteria for acceptance
          type: object
          properties:
            time_limit:
              description: Specifies time-based acceptance criteria
              example: Current and not expired
              type: string
              readOnly: false
            locality_limit:
              description: Specifies geography-based acceptance criteria
              example: Issued by the same country that the phone number belongs to
              type: string
              readOnly: false
            acceptable_values:
              description: >-
                Specifies the list of strictly possible values for the
                requirement. Ignored when empty
              type: array
              items:
                type: string
                example: US
              readOnly: false
            max_length:
              description: Maximum length allowed for the value
              type: integer
              example: 20
              readOnly: false
            min_length:
              description: Minimum length allowed for the value
              type: integer
              example: 16
              readOnly: false
            acceptable_characters:
              description: Specifies the allowed characters as a string
              type: string
              example: abcdef0123456789
              readOnly: false
        description:
          description: Describes the requirement type
          example: >-
            Proves the customer has a physical address in the same locality as
            the phone number
          type: string
          readOnly: false
        example:
          description: Provides one or more examples of acceptable documents
          example: Utility bill, internet bill, phone bill, or lease
          type: string
          readOnly: false
        type:
          description: Defines the type of this requirement type
          example: document
          type: string
          enum:
            - document
            - address
            - textual
          readOnly: false
        name:
          description: A short descriptive name for this requirement_type
          example: Proof of Address
          type: string
          readOnly: true
        record_type:
          description: Identifies the type of the resource
          example: requirement_type
          type: string
          readOnly: true
        id:
          description: Identifies the associated document
          type: string
          format: uuid
          readOnly: true
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        created_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            created.
          readOnly: true
          example: '2021-04-09T22:25:27.521Z'
        updated_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was last
            updated.
          readOnly: true
          example: '2021-04-12T20:20:20.020Z'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````